List supported connection options
curl --request GET \
--url https://app.egma.ai/v1/connection-options \
--header 'Authorization: Bearer <token>'{
"items": [
{
"agentPlatform": "retell",
"agentPlatformLabel": "<string>",
"connectionType": "retell_text_mode",
"accessVariant": "retell_text_mode.api_key",
"accessVariantLabel": "<string>",
"modality": "voice",
"productLabel": "<string>",
"topology": "agent-dials-out",
"simulatorAdapter": true,
"fields": [
{
"key": "<string>",
"label": "<string>",
"kind": "text",
"required": true,
"help": "<string>",
"afterCredentials": true
}
],
"credentialRule": "required",
"credentialHelp": "<string>",
"credentialFields": [
{
"field": "<string>",
"label": "<string>",
"kind": "secret",
"required": true,
"help": "<string>"
}
]
}
]
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Connections
List supported connection options
List the connection options supported by this server. Use each option’s fields and credentialFields to configure an agent connection. This catalog does not check provider accounts or deployment credentials.
GET
/
v1
/
connection-options
List supported connection options
curl --request GET \
--url https://app.egma.ai/v1/connection-options \
--header 'Authorization: Bearer <token>'{
"items": [
{
"agentPlatform": "retell",
"agentPlatformLabel": "<string>",
"connectionType": "retell_text_mode",
"accessVariant": "retell_text_mode.api_key",
"accessVariantLabel": "<string>",
"modality": "voice",
"productLabel": "<string>",
"topology": "agent-dials-out",
"simulatorAdapter": true,
"fields": [
{
"key": "<string>",
"label": "<string>",
"kind": "text",
"required": true,
"help": "<string>",
"afterCredentials": true
}
],
"credentialRule": "required",
"credentialHelp": "<string>",
"credentialFields": [
{
"field": "<string>",
"label": "<string>",
"kind": "secret",
"required": true,
"help": "<string>"
}
]
}
]
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}